Feature: Manila Certification

  @rhcert_4x
  Scenario: Login to RHCert
    Given  I go to RHCERT login page
    When   I fill in the rhcert login credential
    And    I click the Login button
    Then   I should be logged into RHCERT


  @rhcert_4x
  Scenario: Create Certification for Manila
    Given I am logged into RHCERT
    When  I click on the New Certification button
    And   I select product "Red Hat OpenStack Platform"
    And   I select RHOS version "11.0"
    And   I select platform "x86_64"
    And   I select RHEL version "7.2"
    And   I select vendor "Abbee (412)"
    And   I select openstack product name "openstack: hello-india (3142973)"
    And   I select openstack plugin name "certification-filestorage-plugin"
    And   I select protocol "NFS"
    And   I select protocol "CIFS"
    And   I select protocol "HDFS"
    And   I select protocol "CephFS"
    And   I click on create button
    Then  I see the "manila" certification created on rhcert
    And   I click on Details button
    And   I save the cert_nid of "manila" created on rhcert


   @rhcert_4x
   Scenario: Add a SUT to run the tests
    Given I am logged into RHCERT
    When  I go to the configuration tab
    And   I add a "manila" SUT
    Then  The "manila" SUT should be registered successfully

