Feature: Neutron Certification

  @rhcert_4x
  Scenario: Login to RHCert
    Given  I go to RHCERT login page
    When   I fill in the rhcert login credential
    And    I click the Login button
    Then   I should be logged into RHCERT

  @rhcert_4x
  Scenario: Create a new Sandbox
    Given  I am logged into RHCERT
    When   I click on Sandboxes
    And    I click on New Sandbox button
    And    I select product "Red Hat OpenStack Platform"
    And    I select RHOS version "10.0"
    And    I select platform "x86_64"
    And    I select RHEL version "7.2"
    And    I click on Next button
    And    I select certification program "Openstack" for Openstack
    And    I enter sandbox name for Openstack
    And    I click on Next button
    And    I select openstack plugin name "certification-networking-plugin"
    And    I click on Create button
    Then   I see the "neutron" Sandbox created on rhcert

  @rhcert_4x
  Scenario: Add a SUT to run the tests
    Given I am logged into RHCERT
    When  I go to the configuration tab
    And   I add a "neutron" SUT
    Then  The "neutron" SUT should be registered successfully
