Feature: Create Vendor for OSP


  Scenario: Create Vendor for OSP
    Given       I am logging in to "qa" Customer Portal
    When        I click on User icon
    And         I click on Login button with existing username
    And         I enter the user credentials
    And         I submit the credentials
    And         I click on Create vendor button
    And         I enter the vendor name
    And         I select the "Certified Software" as group access
    And         I save the vendor information
    Then        I should be able to see the message of successfully creation of vendor

  Scenario: Add User against that vendor
    Given       I am logging in to "qa" Customer Portal
    When        I click on User icon
    And         I click on Login button with existing username
    And         I enter the user credentials
    And         I submit the credentials
    And         I enter the vendor name in the search box
    And         I click on apply button
    And         I click on the vendor name
    And         I click on the User & Permissions tab
    And         I enter the "cwetestuser" as a certification user
    Then        I click on Save Changes button


  Scenario: Add new Product against that vendor
    Given       I am logging in to "qa" Customer Portal
    When        I click on User icon
    And         I click on Login button with existing username
    And         I enter the user credentials
    And         I submit the credentials
    And         I enter the vendor name in the search box
    And         I click on apply button
    And         I click on the vendor name
    And         I click on the Software Products tab
    And         I click on Add new Software Product button
    And         I enter the product name
    And         I enter "http://www.redhat.com" as product url
    And         I click on Features and Benefits tab
    And         I select all the subcategories
    And         I save the new product
    Then        I should be able to see the message of successfully creation of product


    @rhcert_4x
  Scenario: Create Certification for Cinder
    Given       I am logged into RHCERT
    When        I click on the New Certification button
    And         I select product "Red Hat OpenStack Platform"
    And         I select RHOS version "12.0"
    And         I select platform "x86_64"
    And         I select RHEL version "7.5"
    And         I click on Next button
    And         I select newly created vendor
    And         I select Make "All"
    And         I select newly created Product Name
    And         I click on Next button
    And         I enter product version "RHOSP13"
    And         I select openstack plugin name "certification-blockstorage-plugin"
    And         I enter "https://www.example.com" as a source url
    And         I enter "https://www.example.com" as a blueprint url
    And         I enter "Test" as a install guide
    And         I enter "Test" as a user guide
    And         I enter "Test" as a configuration
    And         I enter "Red Hat" as a hostname
    And         I enter "yes" for apps on rhel
    And         I enter "yes" for apps on RHOSP
    And         I enter "yes" for additional kernel drivers
    And         I enter "test hardware" for special hardware requirement
    And         I click on Next button
    And         I select protocol "Select All" for cinder
    And         I click on create button
    Then        I could see the "cinder" certification created on rhcert