Feature: Sahara Certification

  @rhcert_4x
  Scenario: Login to RHCert
    Given  I go to RHCERT login page
    When   I fill in the rhcert login credential
    And    I click the Login button
    Then   I should be logged into RHCERT

  @rhcert_4x
  Scenario: Add Prodcut from CWE
    Given I am logged into RHCERT
    When  I click on Add Product
    And   I select "openstack" radio button
    And   I click on Next button
    And   I search for the "Anand_11th_jan_qa"
    And   I select a product from the products list
    And   I click on Add Selected Product

  @rhcert_4x
  Scenario: Create Certification for Sahara
    Given I am logged into RHCERT
    When  I click on the "Anand_11th_jan_qa"
    And   I click on "Certifications" tab
    And   I click on add Certification
    And   I select the "new" openstack certification
    And   I click on Next button
    And   I create RHOS "9.0" certification from rhcert for sahara plugin
    Then  I could see "sahara" certification created on rhcert

  @rhcert_4x
  Scenario: Add SUT
    Given I am logged into RHCERT
    When  I go to the configuration tab
    And   I add a "sahara" SUT
    Then  The "sahara" SUT should be registered successfully

  @rhcert_4x
  Scenario: Run Sahara tests
    Given I am logged into RHCERT
    When  I click on the "Anand_11th_jan_qa"
    And   I click on "Certifications" tab
    And   I click "sahara" cert id
    And   I click on the Testing tab
    And   I click on the System button
    And   I check for override button
    And   I select the radio button for "sahara" SUT
    And   I click on Test button
    And   I click on Continue Testing button
    And   I click on Run Interactive for "sahara"
    And   I click on Run Selected
    And   I fill the tempest credentials for "sahara"
    And   I select the "sahara" plugins
    And   I submit tempest_conf.json file
    And   I wait for a while for "sahara" tests to run
    And   I select the current "sahara" test run and submit the results
    Then  I verify the "sahara" logs are submitted
