Feature: Sandbox Testing
	Scenario: Add a new Sandbox certification for Cinder
		Given I go to RHCERT login page
		When  I click on Cancel button
    		And   I click on New Sandbox button
    		And   I select product "Red Hat OpenStack Platform"
    		And   I select RHOS version "12.0"
    		And   I select platform "x86_64"
    		And   I select RHEL version "7.4"
    		And   I click on Next button
    		And   I select certification program "Openstack" for Openstack
    		And   I enter sandbox name for Openstack
    		And   I click on Next button
    		And   I enter product version "RHOSP12"
    		And   I select openstack plugin name "certification-blockstorage-plugin"
    		And   I enter "https:example.com" as a source url
    		And   I enter "https:example.com" as a blueprint url
    		And   I enter "Test" as a install guide
    		And   I enter "Test" as a user guide
    		And   I enter "Test" as a configuration
    		And   I enter "Red Hat" as a hostname
    		And   I click on Next button
    		And   I should see the Sandbox certification created for "cinder"
           	And   I click on Add System button
           	And   I select the SUT "cinder"
           	And   I click on test button
           	And   I click on continue testing
           	And   I select feature tests for "cinder_backup"
           	And   I click on run test
           	And   I wait for test run to complete
           	And   I click on "cinder" result link
           	And   I select save option
           	And   I enter LTS name for result saving
           	And   I click on save button
           	Then  I should see result saved

    Scenario: Add a new Sandbox certification for Neutron
                Given I go to RHCERT login page
                When  I click on Cancel button
                And   I click on New Sandbox button
                And   I select product "Red Hat OpenStack Platform"
                And   I select RHOS version "12.0"
                And   I select platform "x86_64"
                And   I select RHEL version "7.4"
                And   I click on Next button
                And   I select certification program "Openstack" for Openstack
                And   I enter sandbox name for Openstack
                And   I click on Next button
                And   I enter product version "RHOSP12"
                And   I select openstack plugin name "certification-networking-plugin"
                And   I enter "https:example.com" as a source url
                And   I enter "https:example.com" as a blueprint url
                And   I enter "Test" as a install guide
                And   I enter "Test" as a user guide
                And   I enter "Test" as a configuration
                And   I enter "Red Hat" as a hostname
                And   I click on Next button
                And   I should see the Sandbox certification created for "neutron"
                And   I click on Add System button
                And   I select the SUT "neutron"
                And   I click on test button
                And   I click on continue testing
                And   I select feature tests for "neutron_all"
                And   I click on run test
                And   I wait for test run to complete
                And   I click on "neutron" result link
                And   I select save option
                And   I enter LTS name for result saving
                And   I click on save button
                Then  I should see result saved

    Scenario: Add a new Sandbox certification for Manila
                Given I go to RHCERT login page
                When  I click on Cancel button
                And   I click on New Sandbox button
                And   I select product "Red Hat OpenStack Platform"
                And   I select RHOS version "12.0"
                And   I select platform "x86_64"
                And   I select RHEL version "7.4"
                And   I click on Next button
                And   I select certification program "Openstack" for Openstack
                And   I enter sandbox name for Openstack
                And   I click on Next button
                And   I enter product version "RHOSP12"
                And   I select openstack plugin name "certification-filestorage-plugin"
                And   I enter "https:example.com" as a source url
                And   I enter "https:example.com" as a blueprint url
                And   I enter "Test" as a install guide
                And   I enter "Test" as a user guide
                And   I enter "Test" as a configuration
                And   I enter "Red Hat" as a hostname
                And   I click on Next button
                And   I should see the Sandbox certification created for "manila"
                And   I click on Add System button
                And   I select the SUT "manila"
                And   I click on test button
                And   I click on continue testing
                And   I select feature tests for "manila_all"
                And   I click on run test
                And   I wait for test run to complete
                And   I click on "manila" result link
                And   I select save option
                And   I enter LTS name for result saving
                And   I click on save button
                Then  I should see result saved

    Scenario: Add a new Sandbox certification for Other
                Given I go to RHCERT login page
                When  I click on Cancel button
                And   I click on New Sandbox button
                And   I select product "Red Hat OpenStack Platform"
                And   I select RHOS version "12.0"
                And   I select platform "x86_64"
                And   I select RHEL version "7.4"
                And   I click on Next button
                And   I select certification program "Openstack" for Openstack
                And   I enter sandbox name for Openstack
                And   I click on Next button
                And   I enter product version "RHOSP12"
                And   I select openstack plugin name "certification-other-application"
                And   I enter "https:example.com" as a source url
                And   I enter "https:example.com" as a blueprint url
                And   I enter "Test" as a install guide
                And   I enter "Test" as a user guide
                And   I enter "Test" as a configuration
                And   I enter "Red Hat" as a hostname
                And   I click on Next button
                And   I should see the Sandbox certification created for "other"
                And   I click on Add System button
                And   I select the SUT "other"
                And   I click on test button
                And   I click on continue testing
                And   I select feature tests for "director"
                And   I click on run test
                And   I wait for test run to complete
                And   I click on "other" result link
                And   I select save option
                And   I enter LTS name for result saving
                And   I click on save button
                Then  I should see result saved



    Scenario: Add a new Sandbox certification for VNF
                Given I go to RHCERT login page
                When  I click on Cancel button
                And   I click on New Sandbox button
                And   I select product "Red Hat OpenStack Platform"
                And   I select RHOS version "12.0"
                And   I select platform "x86_64"
                And   I select RHEL version "7.4"
                And   I click on Next button
                And   I select certification program "Openstack" for Openstack
                And   I enter sandbox name for Openstack
                And   I click on Next button
                And   I enter product version "RHOSP12"
                And   I select openstack plugin name "certification-vnf-component"
                And   I enter "https:example.com" as a source url
                And   I enter "https:example.com" as a blueprint url
                And   I enter "Test" as a install guide
                And   I enter "Test" as a user guide
                And   I enter "Test" as a configuration
                And   I enter "Red Hat" as a hostname
                And   I click on Next button
                And   I should see the Sandbox certification created for "VNF"
                And   I click on Add System button
                And   I select the SUT "VNF"
                And   I click on test button
                And   I click on continue testing
                And   I select feature tests for "director"
                And   I click on run test
                And   I wait for test run to complete
                And   I click on "VNF" result link
                And   I select save option
                And   I enter LTS name for result saving
                And   I click on save button
                Then  I should see result saved


