Feature: Create Vendor for CCSP and add Product against it


  Scenario: Create Vendor for CCSP
    Given       I am logging in to "qa" Customer Portal
    When        I click on User icon
    And         I click on Login button with existing username
    And         I enter the user credentials
    And         I submit the credentials
    And         I click on Create vendor button
    And         I enter the vendor name
    And         I select the "Certified Cloud Providers" as group access
    And         I save the vendor information
    Then        I should be able to see the message of successfully creation of vendor


  Scenario: Add User against that vendor
    Given       I am logging in to "qa" Customer Portal
    When        I click on User icon
    And         I click on Login button with existing username
    And         I enter the user credentials
    And         I submit the credentials
    And         I enter the vendor name in the search box
    And         I click on apply button
    And         I click on the vendor name
    And         I click on the User & Permissions tab
    And         I enter the "sgangawa" as a certification user
    Then        I click on Save Changes button



  Scenario: Add new Product against that vendor
    Given       I am logging in to "qa" Customer Portal
    When        I click on User icon
    And         I click on Login button with existing username
    And         I enter the user credentials
    And         I submit the credentials
    And         I enter the vendor name in the search box
    And         I click on apply button
    And         I click on the vendor name
    And         I click on the Cloud Services tab
    And         I click on Add new service button
    And         I enter the product name
    And         I save the new product
    Then        I should be able to see the message of successfully creation of product




  Scenario: Create a Certification against new Product
    Given       I am logged into RHCERT
    When        I click on the New Certification button
    When        I select product "Red Hat Enterprise Linux"
    And         I select RHEL version "7.5" for "cloud"
    And         I select platform "x86_64"
    And         I click on Next button
    And         I select newly created vendor
    And         I select Make "All"
    And         I select newly created Product Name
    And         I click on Next button
    Then        I see the "cloud" certification created on rhcert
