Feature: CCSP Sandbox Testing

  @rhcert_4x
  Scenario: Add SUT
    Given  I go to RHCERT login page
    When   I click on Cancel button
    When   I go to the configuration tab
    And    I add a "cloud" SUT
    Then   The "cloud" SUT should be registered successfully

  @rhcert_4x @rhcert
  Scenario: Run all Cloud Tests for New Sandbox
    Given I go to RHCERT login page
    When  I click on Cancel button
    And   I click on New Sandbox button
    And   I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for sandbox
    And   I select platform "x86_64"
    And   I click on Next button
    And   I select certification program "Cloud" from Cloud or Hardware
    And   I enter sandbox name for "Cloud"
    And   I click on Next button
    And   I should see the Sandbox certification created for "cloud"
    And   I click on Add System button
    And   I check for override button
    And   I select the radio button for "cloud" SUT
    And   I click on Test button
    And   I wait for a while for test verification
    And   I click on the Continue Testing button
    And   I select tests for cloud cert
    And   I click on Run Selected Button
    And   I give reason for configuration test checks
    And   I give reason for supportable test checks
    And   I wait for a while for the "cloud" tests to run
    And   I click the "cloud" result link
    And   I select save option
    And   I enter LTS name for result saving
    And   I click on save button
    Then  I should see result saved

  @rhcert_4x @rhcert
  Scenario: Run Configuration Test for New Sandbox
    Given I go to RHCERT login page
    When  I click on Cancel button
    And   I click on New Sandbox button
    And   I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for sandbox
    And   I select platform "x86_64"
    And   I click on Next button
    And   I select certification program "Cloud" from Cloud or Hardware
    And   I enter sandbox name for "Cloud"
    And   I click on Next button
    And   I should see the Sandbox certification created for "cloud"
    And   I click on Add System button
    And   I check for override button
    And   I select the radio button for "cloud" SUT
    And   I click on Test button
    And   I wait for a while for test verification
    And   I click on the Continue Testing button
    And   I select configuration test
    And   I click on Run Selected Button
    And   I give reason for configuration test checks
    And   I give reason for supportable test checks
    And   I wait for a while for the "cloud" tests to run
    And   I click the "cloud" result link
    And   I select save option
    And   I enter LTS name for result saving
    And   I click on save button
    Then  I should see result saved

  @rhcert_4x @rhcert
  Scenario: Run Security Test for New Sandbox
    Given I go to RHCERT login page
    When  I click on Cancel button
    And   I click on New Sandbox button
    And   I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for sandbox
    And   I select platform "x86_64"
    And   I click on Next button
    And   I select certification program "Cloud" from Cloud or Hardware
    And   I enter sandbox name for "Cloud"
    And   I click on Next button
    And   I should see the Sandbox certification created for "cloud"
    And   I click on Add System button
    And   I check for override button
    And   I select the radio button for "cloud" SUT
    And   I click on Test button
    And   I wait for a while for test verification
    And   I click on the Continue Testing button
    And   I select security test
    And   I click on Run Selected Button
    And   I give reason for supportable test checks
    And   I wait for a while for the "cloud" tests to run
    And   I click the "cloud" result link
    And   I select save option
    And   I enter LTS name for result saving
    And   I click on save button
    Then  I should see result saved

  @rhcert_4x @rhcert
  Scenario: Run all mandatory tests for cloud
    Given I go to RHCERT login page
    When  I click on Cancel button
    And   I click on New Sandbox button
    And   I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for sandbox
    And   I select platform "x86_64"
    And   I click on Next button
    And   I select certification program "Cloud" from Cloud or Hardware
    And   I enter sandbox name for "Cloud"
    And   I click on Next button
    And   I should see the Sandbox certification created for "cloud"
    And   I click on Add System button
    And   I check for override button
    And   I select the radio button for "cloud" SUT
    And   I click on Test button
    And   I wait for a while for test verification
    And   I click on the Continue Testing button
    And   I click on Run Selected Button
    And   I give reason for supportable test checks
    And   I wait for a while for the "cloud" tests to run
    And   I click the "cloud" result link
    And   I select save option
    And   I enter LTS name for result saving
    And   I click on save button
    Then  I should see result saved
