Feature: Sandbox for Hardware
  
@rhcert_4x
  Scenario: Add SUT
    Given  I go to RHCERT login page
    When   I click on Cancel button
    When   I go to the configuration tab
    And    I add a "hardware" SUT
    Then   The "hardware" SUT should be registered successfully

  @rhcert_4x @rhcert
  Scenario: Run Mandatory Hardware Tests for New Sandbox
    Given I go to RHCERT login page
    When  I click on Cancel button
    And   I click on New Sandbox button
    And   I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for sandbox
    And   I select platform "x86_64"
    And   I click on Next button
    And   I select certification program "Hardware" from Cloud or Hardware
    And   I enter sandbox name for "Hardware"
    And   I click on Next button
    Then  I should see the Sandbox certification created for "hardware"
