Feature: Web UI Login Page

  Scenario: Create hardware certification against a New Product on rhcert
    Given I am logged into RHCERT
    When  I click on the New Certification button
    When  I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for "hardware"
    And   I select platform "x86_64"
    And   I click on Next button
    And   I click on New Product
    And   I select vendor "Abbee (ID: 140)" for product creation
    And   I select Program "Red Hat Enterprise Linux Certified Hardware"
    And   I click on Next button
    And   I input "Jenkins" Make
    And   I input "Jenkins" Model
    And   I input "http://www.redhat.com" Product URL
    And   I click on Next button
    Then  I see the "hardware" product created on rhcert
    Then  I see the "hardware" certification created on rhcert against new Product
    And   I click on Details button
    And   I save the cert_nid of "hardware" created on rhcert

