"""This file will contain all the xpaths which we will be using in steps file"""



rhel_os= "//input[@id='vnf_os_rhel']"
rhel_modified = "//input[@value='rhel_with_modifications']"
cent_os = "//input[@id='vnf_os_centos']"
fedora = "//input[@id='vnf_os_Fedora']"
core_os = "//input[@id='vnf_os_coreos']"
result_verification = "//*[@id='comments']/div[3]/div[2]/pre"
cancel_btn = "//button[@value='yes']"
config_tab = "//a[@title='Server settings']"
debug_priority = "//select[@name='debug']"



#CWE Xpaths
cwe_administration = "//a[@href='/admin.cgi']"
cwe_rhcert_version= "//a[@href='admin.cgi?page=rhcert_versions']"
cwe_add = "//button[@id='add']"
cwe_version_box = "//input[@id='version']"
cwe_save_changes = "//input[@type='submit']"
cwe_version_support = "//*[@id='support']"
cwe_user_icon = "//span[@class='web-icon-user']"
cwe_account_login = "//a[@id='accountLogin']"
cwe_username = "//input[@id='username']"
cwe_password = "//input[@id='password']"
cwe_login_button = "//button[@id='_eventId_submit']"
cwe_create_vendor_button = "//a[contains(text(),'Create a vendor')]"
cwe_vendor_name = "//input[@id='edit-title']"
cwe_vendor_group = "//ul[@class='chosen-choices']"
cwe_group_access = "//div[@id='edit_field_eco_group_access_ref_und_chosen']//ul[@class='chosen-results']"
cwe_select_cloud = "//li[contains(text(),'Certified Cloud Providers')]"
cwe_select_osp = "//li[contains(text(),'Certified Software')]"
cwe_select_hardware = "//li[contains(text(),'Certified Hardware')]"
cwe_save_vendor = "//input[@id='edit-submit']"
cwe_vendor_creation_message = "//div[contains(@class,'messages status')]"
cwe_check_vendor_name = "//em[contains(@class,'placeholder')]"
cwe_search_vendor_name = "//input[@id='edit-submit-vendor-admin']"
cwe_add_user = "//a[contains(text(),'Users & Permissions')]"
cwe_add_ssouser = "//input[@id='edit-og-manage-members-add-user']"
cwe_save_ssouser = "//input[@id='edit-og-manage-members-save-button']"
cwe_cloud_services = "//a[contains(text(),'Cloud Services')]"
cwe_add_new_service = "//a[contains(text(),'Add a new Cloud Service')]"
cwe_searched_vendor = "//td[@class='views-field views-field-title']"
cwe_softwares_products = "//a[contains(text(),'Software Products')]"
cwe_add_new_software = "//a[contains(text(),'Add a new Software Product')]"
cwe_features_benefits = "//a[contains(text(),'Features & Benefits')]"
cwe_product_url = "//input[@id='edit-field-eco-product-url-str-und-0-value']"
cwe_subcategories = "//div[@id='edit_field_eco_software_catego_select_und_chosen']//ul[@class='chosen-choices']"
cwe_select_subcat = "//div[@id='edit_field_eco_software_catego_select_und_chosen']//ul[@class='chosen-results']"



# ---- Cloud/Hardware Certification XPATHS ---- #

add_sut_table = "//form/table/tbody"
submit_results_button = "//input[@name='submit']"
submit_button = "//input[@type='submit']"
refresh_button = '//*[@id="cwe-sync-refresh"]'
configuration_link = "//a[@href='/configuration']"
main_page_img = "//a[@class='navbar-brand']"
cert_create_alert = "//div[@class='toast-pf alert alert-success alert-dismissible']"
new_cert_create = "//button[@formaction='/create/certification/']"
progress = "//a[contains(.,'Progress')]"
testing = "//a[contains(.,'Testing')]"
dialog = "//a[contains(.,'Dialog')]"
details = "//a[contains(.,'Details')]"
related_cert = "//a[contains(.,'Related Certifications')]"
publish = "//a[contains(.,'Publish')]"
test_plan_table = "//table[@class='table table-striped table-bordered table-hover'][1]//tr"
select_productid = "//select[@id='vendor_product_id']"
select_vendorid = "//select[@id='vendor_id']"


# ---- Hardware Certification Tests XPATHS ---- #

hwcert_core = "//input[contains(@value,'hwcert/core')]"
hwcert_cpuscaling ="//input[@value='hwcert/cpuscaling']"
hwcert_fvtest_fv_core = "//input[@value='hwcert/fvtest/fv_core']"
hwcert_fvtest_fv_memory = "//input[@value='hwcert/fvtest/fv_memory']"
hwcert_audio = "//input[contains(@value,'hwcert/audio --device Internal')]"
hwcert_profiler = "//input[@value='hwcert/profiler']"
hwcert_memory = "//input[@value='hwcert/memory']"
hwcert_core_result = "//a[contains(@href,'#subTestsOf_core__1')]"
hwcert_cpuscaling_result= "//a[contains(@href,'#subTestsOf_cpuscaling__1')]"
hwcert_fvtest_fv_core_result = "//a[contains(@href,'#subTestsOf_core__1')]"
hwcert_fvtest_fv_memory_result = "//a[contains(@href,'#subTestsOf_core__1')]"
hwcert_profiler_result = "//a[contains(@href,'#subTestsOf_profiler__1')]"
hwcert_memory_result = "//a[contains(@href,'#subTestsOf_memory__1')]"
hwcert_storage_sata="//input[contains(@value,'hwcert/storage/SATA')]"
hwcert_storage_STORAGE="//input[contains(@value,'hwcert/storage/STORAGE')]"
hwcert_storage_SATA_result="//a[contains(@href,'#subTestsOf_SATA_host0_1')]"
hwcert_storage_STORAGE_result="//a[contains(@href,'#subTestsOf_STORAGE_host0_1')]"
hwcert_audio_result="//a[contains(@href,'hwcert/audio')]"

# ---- Hardware Audio Cetification Tests Interactive Prompts XPATHS ---- #

hwcert_audiotest_prompt = "//label[@for='prompt-answer']"
hwcert_audiotest_testplay="//label[contains(text(),'This test plays a sound sample and records it to another file. " \
         "Please use the Volume Control application and insure that the " \
         "Capture settings will record the sound. Continue?')]"
hwcert_audiotest_hearplayedsound="//label[contains(text(),'Did you hear the played sound?')]"
hwcert_audiotest_hearrecordedsound="//label[contains(text(),'Did you hear the recorded sound?')]"
hwcert_audiotest_runselected = "//input[@value='Run Selected']"
hwcert_audiotest_response_yes = "//button[contains(@value,'yes')]"


# ----- OpenStack certification XPATHS ----- #

osp_trusted_container_test_label = "//label[contains(.,'Please select the containers to test')]"
osp_prompt_answer="//input[@name='prompt-answer']"
osp_finished_test_run='//*[@id="-continue"]/table/tbody/tr/td[1][contains(text(),\
            "Finished test run")]'
