Feature: Cinder Certification

  @rhcert_4x
  Scenario: Login to RHCert
    Given  I go to RHCERT login page
    When   I fill in the rhcert login credential
    And    I click the Login button
    Then   I should be logged into RHCERT


  @rhcert_4x
  Scenario: Create Certification for Cinder
    Given I am logged into RHCERT
    When  I click on the New Certification button
    And   I select product "Red Hat OpenStack Platform Plugin"
    And   I select RHOS version "11.0"
    And   I select platform "x86_64"
    And   I select RHEL version "7.2"
    And   I click on Next button
    And   I select vendor "Abbee (412)"
    And   I select openstack product name "openstack: hello-india (3142973)"
    And   I click on Next button
    And   I enter product version "RHOSP11"
    And   I select openstack plugin name "certification-blockstorage-plugin"
    And   I click on Next button
    And   I select protocol "NFS"
    And   I select protocol "FCoE"
    And   I select protocol "FibreChannel"
    And   I select protocol "iSCSI"
    And   I click on create button
    Then  I see the "cinder" certification created on rhcert
    And   I click on Details button
    And   I save the cert_nid of "cinder" created on rhcert


  @rhcert_4x
  Scenario: Add a SUT to run the tests
    Given I am logged into RHCERT
    When  I go to the configuration tab
    And   I add a "cinder" SUT
    Then  The "cinder" SUT should be registered successfully
