Feature: Ironic Certification
  @skip
  Scenario: Login to RHCert
    Given  I go to RHCERT login page
    When   I fill in the rhcert login credential
    And    I click the Login button
    Then   I should be logged into RHCERT

  @skip
  Scenario: Add a SUT to run the tests
    Given I am logged into RHCERT
    When  I go to the configuration tab
    And   I add a "ironic" SUT
    Then  The "ironic" SUT should be registered successfully

  Scenario: Create Certification for Ironic
    Given I am logged into RHCERT
    When  I click on the New Certification button
    And   I select product "Red Hat OpenStack Platform"
    And   I select RHOS version "11.0"
    And   I select platform "x86_64"
    And   I select RHEL version "7.4"
    And   I click on Next button
    And   I select vendor "Abbee (140)"
    And   I select openstack product name "hardware: Anandprkakash_Ironic_Automation (3265923)"
    And   I click on Next button
    And   I select Certification "Hardware RHEL 7.4-x86_64 (Certified)"
    And   I select Format of Red Hat OpenStack Platform Layered Product "Ready State"
    And   I click on create button
    And   I see the Ironic certification created on rhcert
    And   I click on dialog tab
    And   I add "viksss" as a comment
    And   I click on Add comment
    And   I see comment "viksss" is added
    And   I add attachment "/home/vikasmulaje/Documents/boyz.pdf" and description "viksss"
    And   I click on upload
    And   I see attachment uploaded
    And   I click on Testing tab
    And   I click on Add Test System
    And   I select the SUT "ironic"
    And   I click on test button
    And   I click on continue testing
    And   I select feature tests for "ironic-all"
    And   I click on run test
    And   I enter a reason for need of packages to run supportable test "to test"
    And   I click on submit
    And   I select the Baremetal driver "pxe-ucs"
    And   I click on submit
    And   I wait for test run to complete
    And   I click on "ironic" result link
    And   I click on submit test
    And   I click on submit
    Then  I should see result is submitted

