Feature: Other Certification

  @rhcert_4x @skip
  Scenario: Login to RHCert
    Given  I go to RHCERT login page
    When   I fill in the rhcert login credential
    And    I click the Login button
    Then   I should be logged into RHCERT

  @rhcert_4x @rhcert_5x
  Scenario: Create Certification for other and run test
    Given I am logged into RHCERT
    When  I click on the New Certification button
    And   I select product "Red Hat OpenStack Platform"
    And   I select RHOS version "11.0"
    And   I select platform "x86_64"
    And   I select RHEL version "7.4"
    And   I click on Next button
    And   I select vendor "Abbee (317)"
    And   I select openstack product name "openstack: Anand_nov_stage (2931193)"
    And   I click on Next button
    And   I enter product version "RHOSP11"
    And   I select openstack plugin name "certification-other-application"
    And   I enter "https:example.com" as a source url
    And   I enter "https:example.com" as a blueprint url
    And   I enter "Test" as a install guide
    And   I enter "Test" as a user guide
    And   I enter "Test" as a configuration
    And   I enter "Red Hat" as a hostname
    And   I enter "yes" for apps on rhel
    And   I enter "yes" for apps on RHOSP
    And   I enter "yes" for additional kernel drivers
    And   I enter "test hardware" for special hardware requirement
    And   I click on create button
    And   I could see the "other" certification created on rhcert
    And   I click on Details button
    And   I validate the data which I have entered while cert creation
    And   I click on dialog tab
    And   I add "viksss" as a comment
    And   I click on Add comment
    And   I see comment "viksss" is added
    And   I add attachment "/home/vikasmulaje/Documents/boyz.pdf" and description "viksss"
    And   I click on upload
    And   I see attachment uploaded
    And   I click on Testing tab
    And   I click on Add Test System
    And   I select the SUT "other"
    And   I click on test button
    And   I click on continue testing
    And   I select feature tests for "director"
    And   I click on run test
    And   I wait for test run to complete
    And   I click on "other" result link
    And   I click on submit test
    And   I click on submit
    Then  I should see result is submitted
