Feature: Cloud Certification

  @rhcert_4x
  Scenario: Login to Rhcert
    Given I go to RHCERT login page
    When  I fill in the rhcert login credential
    And   I click the Login button
    Then  I should be logged into RHCERT

  @rhcert_4x
  Scenario: Add a SUT to run the tests
    Given I am logged into RHCERT
    When  I go to the configuration tab
    And   I add a "cloud" SUT
    Then  The "cloud" SUT should be registered successfully

  @rhcert_4x
  Scenario: Refresh Button Functionality
    Given I am logged into RHCERT
    When  I check for Refresh Button
    Then  I can see the Refresh Button

  @rhcert_4x
  Scenario: Select a SUT to run configuration test on
    Given I have "cloud" "7.4" certification available
    And   I click on Testing tab
    And   I click on System button
    And   I select the radio button for "cloud" SUT
    And   I click on Test button
    And   I wait for a while for test verification
    And   I click on the Continue Testing button
    And   I select configuration test
    And   I click on the Run Selected Button
    And   I give reason for configuration test checks
    And   I give reason for supportable test checks
    And   I wait for a while for the "cloud" tests to run
    And   I click the "cloud" result link
    And   I submit the result
    Then  I can see the "cloud" result is submitted

  @rhcert_4x
  Scenario: Select a SUT to run security test on
    Given I am logged into RHCERT
    And   I have "cloud" "7.4" certification available
    When  I click on Testing tab
    And   I click on System button
    And   I select the radio button for "cloud" SUT
    And   I click on Test button
    And   I wait for a while for test verification
    And   I click on the Continue Testing button
    And   I select security test
    And   I click on the Run Selected Button
    And   I give reason for supportable test checks
    And   I wait for a while for the "cloud" tests to run
    And   I click the "cloud" result link
    And   I submit the result
    Then  I can see the "cloud" result is submitted
