Feature: Create a Product for CCSP

  Scenario: Create a Product for CCSP
    Given  I am logged in to "qa" Customer Portal
    When   I click on Cloud Services tab
    And    I click on Add a New Cloud Service
    And    I enter Product name
    And    I enter Product URL
    And    I click on save button on CP
    Then   I should see "cloud" Product created

  @rhcert_4x
  Scenario: Refresh Button Functionality
    Given I am logged into RHCERT
    When  I check for Refresh Button
    Then  I can see the Refresh Button

  Scenario: Create a Certification against new Product
    Given  I am logged into RHCERT
    When   I click on the New Certification button
    When   I select product "Red Hat Enterprise Linux"
    And    I select RHEL version "7.5" for "cloud"
    And    I select platform "x86_64"
    And    I click on Next button
    And    I select vendor "Abbee (1147)"
    And    I select Make "All"
    And    I select Product Name for "cloud"
    And    I click on Next button
    Then   I see the "cloud" certification created on rhcert

  @rhcert_4x
  Scenario: Upload result for existing certification
    Given I am logged into RHCERT
    When  I click "cloud" cert id
    And   I click on upload result button
    And   I enter result file for uploading
    And   I click on upload button
    And   I click on confirm button
    And   I click on confirm_submission button
    Then  I see result file is submitted

  @rhcert_4x
  Scenario: Download Submitted Results to SUT
    Given I am logged into RHCERT
    When  I click "cloud" cert id
    And   I click on Download Button in the Submitted Test Results table
    Then  The Results File is downloaded

  @rhcert_5x
  Scenario: Test comments in Dialog tab
    Given I am logged into RHCERT
    When  I click "cloud" cert id
    And   I click on dialog tab
    And   I add "test comment for cloud" as a comment
    And   I click on Add Comment
    Then  I see comment "test comment for cloud" is added

  @rhcert_5x @rhcert_4x
  Scenario: Upload Attachment and Add Attachment Desciption in Dialog Tab
    Given I am logged into RHCERT
    When  I click "cloud" cert id
    And   I click on dialog tab
    And   I add an attachment
    And   I add description "Test Description" for the attachment
    And   I click on upload
    Then  I see attachment is successfully uploaded
