Feature: HWCERT Support Case and KBase Updates

@rhcert_4x
  Scenario: Create cert against existing product
    Given I am logged into RHCERT
    When  I click on the New Certification button
    When  I select product "Red Hat Enterprise Linux"
    And   I select RHEL version "7.4" for "hardware"
    And   I select platform "x86_64"
    And   I click on Next button
    And   I select vendor "Abbee (140)"
    And   I select Make "All"
    And   I select Name "hardware: test_aditi_11april (3380913)"
    And   I click on Next button
    Then  I see the "hardware" certification created on rhcert

@rhcert_4x
  Scenario: Add Support Case ID to existing Certification
    Given I am logged into RHCERT
    When  I click "hardware" cert id
    And   I click on Details button
    And   I enter "01846543" Support Case ID
    And   I click on update button to update certification details
    Then  I can see the Certification details updated

@rhcert_4x
  Scenario: Add KBase Reference ID to existing Certification
    Given I am logged into RHCERT
    When  I click "hardware" cert id
    And   I click on Details button
    And   I select "Red Hat Knowledge Base (Solution)" type
    And   I enter "3003271" KBase Reference ID
    And   I click on update button to update certification details
    Then  I can see the Certification details updated
