from behave import given, when

HTML_LOOKUPS = {
    "ABI_CHECK": "optional_ABI_CHECK",
    "BASE_LABELS": "optional_BASE_LABELS",
    "GENERAL": "optional_GENERAL",
    "OPENSCAP": "optional_OPENSCAP"
}


@given(u'I can see the container submission form')
def step_impl(context):
    # Needs a better approach, can be fixed once seeding is in place
    context.browser.get(
        context.data['common']['cwe']['uri'] + '/enter.cgi?product_nid=2581533&product_type=sw&vendor_nid=926933')


@when(u'I visit the product page for \'{product_id}\'')
def step_impl(context, product_id):
    # Needs a better approach, will move to config
    context.browser.get(context.data['common']['cwe']['uri'] + '/ecosystem/software/' + product_id)


@when(u'I check all the Optional parameters')
def step_impl(context):
    checkboxes = ["ABI_CHECK", "BASE_LABELS", "GENERAL", "OPENSCAP"]
    for checkbox in checkboxes:
        if not context.browser.find_element_by_name(HTML_LOOKUPS[checkbox]).is_selected():
            context.browser.find_element_by_name(HTML_LOOKUPS[checkbox]).click()
