try:
    import xpath
    from behave import given, when, then
    import re
    from xml.dom import minidom
    import utilities,glob,gzip,re,time

    utilities.safe_selenium_imports(__file__, globals())
except ImportError as e:
    print("ImportError in {0}: {1}".format(__file__, e))
    raise e

prompts = {
        "This test plays a sound sample and records it to another file. Please use the Volume Control application and insure that the Capture settings will record the sound. Continue?": {
            "response": "yes"
            },
        "Did you hear the played sound?": {
            "response": "yes"
            },
        "Did you hear the recorded sound?": {
            "response": "yes"
            }
        }

@when('I give user interactive input')
def step_impl(context):
    length = len(prompts)
    while length is not 0:
        time.sleep(5)
        webdriver.support.ui.WebDriverWait(context.browser, 60).until(webdriver.support.expected_conditions.presence_of_element_located((webdriver.common.by.By.XPATH, xpath.hwcert_audiotest_prompt)))
        prompt = context.browser.find_element_by_xpath(xpath.hwcert_audiotest_prompt)
        a = prompt.text
        time.sleep(5)
        if a in prompts.keys():
            response = prompts[a]["response"]
            webdriver.support.ui.WebDriverWait(context.browser, 60).until(
                webdriver.support.expected_conditions.presence_of_element_located((webdriver.common.by.By.XPATH, xpath.hwcert_audiotest_response_yes)))
            checkbox = context.browser.find_element_by_xpath(xpath.hwcert_audiotest_response_yes)
            context.browser.execute_script("arguments[0].click();", checkbox)
            time.sleep(5)
            length -= 1
